Hot News aus dem CAD.de-Newsletter:

Unser Angebot:

  Foren auf CAD.de (alle Foren)
  Inventor VBA
  Makro oder ILogic: Ein-/Ausblenden Tangentialer Kanten

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Makro oder ILogic: Ein-/Ausblenden Tangentialer Kanten (223 mal gelesen)
EKW
Mitglied
Dipl.-Ing. Maschinenbau & IWE/Entwicklung & Konstruktion von Baumaschinenwerkzeugen


Sehen Sie sich das Profil von EKW an!   Senden Sie eine Private Message an EKW  Schreiben Sie einen Gästebucheintrag für EKW

Beiträge: 159
Registriert: 12.09.2011

Intel Xeon E31270 @3.40 GHz
32.00 GB RAM
Win 7/64 Bit
NVidia Quadro 2000
----
Autodesk Product Design Suite Ultimate 2012
Autodesk Product Design Suite Ultimate 2014
Autodesk Product Design Suite Ultimate 2017

erstellt am: 12. Jul. 2018 09:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ich hatte mir damals schon eine iLogic Regel per Makro (Button) ausführen lassen, dass in allen Ansichten auf dem Blatt der gleiche Maßstab verwendet wird. Das ist wichtig für unsere 1:1 Ableitung ins AutoCAD

===
Blattstab = InputBox("Der eingegebene Maßstab wird auf alle Ansichten, innerhalb des aktuellen Zeichnungsblatt, angewandt.", "Einheitlicher Zeichnungsblattmaßstab", "1 : X")

On Error Resume Next
Dim oDrawDoc As DrawingDocument
oDrawDoc = ThisApplication.ActiveDocument

Dim oView As DrawingView

For Each oView In oDrawDoc.ActiveSheet.DrawingViews
oView.[ScaleString] = Blattstab

Next
====

Nun bräuchte ich noch eine weitere Regel im selben Stil welche mir die tangentialen Kanten in jeder Ansicht einblendet, aber dazu nicht "perspektivisch verkürzt". Weiterhin würde ich gern noch die Gewindeelemente aktivieren.

Für die iLogic fehlen mir aber leider hierzu die Parameter ähnlich wie im oben genannten Beispiel "oView.[ScaleString]"..

Oder ist mein Vorhaben nicht so leicht bzw. in ähnlichen Stil zu lösen?

Hat jemand einen Vorschlag?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Tacker
Mitglied
TZ, Tech. MB, Softwareentwickler


Sehen Sie sich das Profil von Tacker  an!   Senden Sie eine Private Message an Tacker  Schreiben Sie einen Gästebucheintrag für Tacker

Beiträge: 154
Registriert: 23.09.2010

IV 2015 IV 2017 Pro
i7-7700K 4x4.2GHz
32GB DDR4-2400
GTX 1060 6GB DDR5

erstellt am: 12. Jul. 2018 12:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für EKW 10 Unities + Antwort hilfreich

Moin  

Gewinde in der Ansicht lassen sich recht leicht anzeigen, ein Auszug aus der API:

Zitat:
DrawingView.DisplayThreadFeatures Property
Parent Object: DrawingView
Description
Property that gets and sets whether to display thread features on the drawing view.
Syntax
DrawingView.DisplayThreadFeatures() As Boolean
Version
Introduced in Inventor version 2010

Und wenn ich mich nicht irre dann brauchst du noch diese Eigenschaft:
Wieder aus der API

Zitat:

DrawingView.DisplayTangentEdges Property
Parent Object: DrawingView
Description
Property that gets and sets whether to display the tangent edges on the drawing view. Setting this property to False automatically toggles the DisplayForeshortenedTangentEdges property to False.
Syntax
DrawingView.DisplayTangentEdges() As Boolean
Version
Introduced in Inventor version 2008

Code:
For Each oView In oDrawDoc.ActiveSheet.DrawingViews
    oView.DisplayTangentEdges = True
    oView.DisplayThreadFeatures= True
    oView.DisplayForeshortenedTangentEdges = False
Next

So in etwa würde das dann aussehen.

Gruß

[Diese Nachricht wurde von Tacker am 12. Jul. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

EKW
Mitglied
Dipl.-Ing. Maschinenbau & IWE/Entwicklung & Konstruktion von Baumaschinenwerkzeugen


Sehen Sie sich das Profil von EKW an!   Senden Sie eine Private Message an EKW  Schreiben Sie einen Gästebucheintrag für EKW

Beiträge: 159
Registriert: 12.09.2011

Intel Xeon E31270 @3.40 GHz
32.00 GB RAM
Win 7/64 Bit
NVidia Quadro 2000
----
Autodesk Product Design Suite Ultimate 2012
Autodesk Product Design Suite Ultimate 2014
Autodesk Product Design Suite Ultimate 2017

erstellt am: 12. Jul. 2018 12:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo und vielen Dank,

das werde ich gleich mal ausprobieren.
Aus der API klingt gut  , aber kannst Du mir das etwas genauer beschreiben? Hier https://knowledge.autodesk.com/support/inventor-products/getting-started/caas/simplecontent/content/autodesk-C2-AE-inventor-C2-AE-api-object-model-reference-document-pdfs.html in der Object Model Reference konnte ich es nicht finden, da komme ich bis zu Drawing View... Wo suche ich da tiefer?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Tacker
Mitglied
TZ, Tech. MB, Softwareentwickler


Sehen Sie sich das Profil von Tacker  an!   Senden Sie eine Private Message an Tacker  Schreiben Sie einen Gästebucheintrag für Tacker

Beiträge: 154
Registriert: 23.09.2010

IV 2015 IV 2017 Pro
i7-7700K 4x4.2GHz
32GB DDR4-2400
GTX 1060 6GB DDR5

erstellt am: 12. Jul. 2018 13:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für EKW 10 Unities + Antwort hilfreich


API_Help.png


API_Sample.JPG

 
Moin  ,

Also die API findest auch in deinem Inventor, Bild im Anhang.
Die Darstellung vom COM dient eigentlich nur der Übersicht & Orientierung.
Die API dokumentiert alle Objekt (Funktionen, Übergabewerte, Rückgabewerte, Beispiele, Hinweise, Eigenschaften etc.) also so gut wie alles was man über ein Objekt wissen muss.
Hab noch ein weitere Bild angehängt, das zeigt wie ich in der API nach der Eigenschaft gesucht habe.
Im DrawingViewObject nochmal explizit nach "tangent" gesucht und da war´s dann auch schon.

Was in VBA immer sehr hilfreich ist, ist der Locals/Lokal Browser. Wenn du ein Makro erstellst kannst du Haltemarken setzen (F9) aber nur bei ausführbarem Code, keine Deklarationen. Also beispielsweise bei der Zeile "oView.DisplayThreadFeatures= True" den Cursor setzen und F9 drücken, dann erscheint ein roter Punkt in der Leiste links. Anschließend unter Ansicht oder Views das Fenster Locals/Lokal aktivieren und das Makro starten.
VBA wird dann, falls es den Haltepunkt erreicht unterbrechen. Jetzt wird in dem Locals Browser alle in dem Sub/Function aktiven Objekte angezeigt, also wenn oview, definiert ist, dann erscheint es dort. Über das + Symbol kannst du das Objekt öffnen und eigenschaften/weitere Objekte ansehen.
Dort ist sicherlich auch die Eigenschaft DisplayThreadFeatures vertreten mit ihrem Wert False/True.
Zum Debuggen oder schnellem Erfoschen von Objekten ist das ein sehr mächtiges Tool.
Wenn du noch mehr, bzw. tiefer in VBA eintauchen willst, wäre die Einleitung bestimmt nicht schlecht: http://download.autodesk.com/us/community/mfg/Part_1.pdf

Gruß

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

EKW
Mitglied
Dipl.-Ing. Maschinenbau & IWE/Entwicklung & Konstruktion von Baumaschinenwerkzeugen


Sehen Sie sich das Profil von EKW an!   Senden Sie eine Private Message an EKW  Schreiben Sie einen Gästebucheintrag für EKW

Beiträge: 159
Registriert: 12.09.2011

Intel Xeon E31270 @3.40 GHz
32.00 GB RAM
Win 7/64 Bit
NVidia Quadro 2000
----
Autodesk Product Design Suite Ultimate 2012
Autodesk Product Design Suite Ultimate 2014
Autodesk Product Design Suite Ultimate 2017

erstellt am: 12. Jul. 2018 13:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Super!

Vielen Dank für die ausführliche Antwort. Die API hatte sich gut im Untermenü versteckt, danke für den Tipp 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz